Bug 176565 - comms/dfu-util: Update to version 0.7
Summary: comms/dfu-util: Update to version 0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 18:10 UTC by tkato432
Modified: 2013-03-14 11:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.99 KB, patch)
2013-02-28 18:10 UTC, tkato432
no flags Details | Diff
comms_dfu-util.diff (3.00 KB, patch)
2013-03-06 17:45 UTC, tkato432
no flags Details | Diff
comms_dfu-util.diff (3.00 KB, patch)
2013-03-13 17:56 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-02-28 18:10:13 UTC
- Update to version 0.7

Remove file:
files/patch-configure.ac
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 18:13:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-01 15:05:23 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-03-01 18:56:08 UTC
State Changed
From-To: open->feedback

build fails: 
http://miwibox.org/tb/index.php?action=describe_port&id=1947
Comment 4 tkato432 2013-03-06 17:45:29 UTC
Here is the corrected patch.
Comment 5 Mark Linimon 2013-03-10 02:29:58 UTC
For correct style, the maintainer should be "ports@FreeBSD.org".  I would
go ahead and make this change except it would clash with the patch.
Comment 6 tkato432 2013-03-13 17:56:48 UTC
Remake of the patch against current tree.
Comment 7 Martin Wilke freebsd_committer 2013-03-14 11:33:26 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2013-03-14 11:33:33 UTC
Author: miwi
Date: Thu Mar 14 11:33:19 2013
New Revision: 314146
URL: http://svnweb.freebsd.org/changeset/ports/314146

Log:
  - Update to 0.7
  
  PR:		176565
  Submitted by:	Ports Fury

Deleted:
  head/comms/dfu-util/files/
Modified:
  head/comms/dfu-util/Makefile
  head/comms/dfu-util/distinfo   (contents, props changed)
  head/comms/dfu-util/pkg-descr   (contents, props changed)

Modified: head/comms/dfu-util/Makefile
==============================================================================
--- head/comms/dfu-util/Makefile	Thu Mar 14 11:31:58 2013	(r314145)
+++ head/comms/dfu-util/Makefile	Thu Mar 14 11:33:19 2013	(r314146)
@@ -1,26 +1,24 @@
-# New ports collection makefile for:	dfu-util
-# Date created:		2008-02-04
-# Whom:			Bruce Cran <bruce@cran.org.uk>
-#
+# Created by: Bruce Cran <bruce@cran.org.uk>
 # $FreeBSD$
-#
 
 PORTNAME=	dfu-util
-DISTVERSION=	0.1.snap${SNAPDATE}
-PORTREVISION=	1
+PORTVERSION=	0.7
 CATEGORIES=	comms
-MASTER_SITES=	http://www.cran.org.uk/~brucec/software/
+MASTER_SITES=	http://dfu-util.gnumonks.org/releases/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Device firmware update (DFU) USB programmer
 
-MAN1=		dfu-util.1
-PLIST_FILES=	bin/dfu-util
-USE_AUTOTOOLS=	aclocal automake autoheader
-AUTOMAKE_ARGS=	--add-missing --foreign --copy
+LICENSE=	GPLv2
 
-SNAPDATE=	20090212
 GNU_CONFIGURE=	yes
+CONFIGURE_ENV=	USE_LIBS="-lusb" \
+		ac_cv_lib_usbpath_usb_path2devnum=no
+CONFIGURE_ARGS=	--disable-silent-rules
+MAKE_JOBS_SAFE=	yes
+
+MAN1=		dfu-util.1
+PLIST_FILES=	bin/dfu-suffix bin/dfu-util
 
 .include <bsd.port.pre.mk>
 
@@ -28,8 +26,4 @@ GNU_CONFIGURE=	yes
 IGNORE=		requires new USB stack in FreeBSD 8
 .endif
 
-do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/src/dfu-util ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/doc/dfu-util.1 ${MAN1PREFIX}/man/man1
-
 .include <bsd.port.post.mk>

Modified: head/comms/dfu-util/distinfo
==============================================================================
--- head/comms/dfu-util/distinfo	Thu Mar 14 11:31:58 2013	(r314145)
+++ head/comms/dfu-util/distinfo	Thu Mar 14 11:33:19 2013	(r314146)
@@ -1,2 +1,2 @@
-SHA256 (dfu-util-0.1.snap20090212.tar.gz) = 3af5421857ee83df09ccd5d1061620a93907820ff9df7e0706e54e88548b2496
-SIZE (dfu-util-0.1.snap20090212.tar.gz) = 21774
+SHA256 (dfu-util-0.7.tar.gz) = f52a2a5489fbf9f3204a6ada05e0b47ee322e19d81c712e0c58a332d80ec3eab
+SIZE (dfu-util-0.7.tar.gz) = 125356

Modified: head/comms/dfu-util/pkg-descr
==============================================================================
--- head/comms/dfu-util/pkg-descr	Thu Mar 14 11:31:58 2013	(r314145)
+++ head/comms/dfu-util/pkg-descr	Thu Mar 14 11:33:19 2013	(r314146)
@@ -5,4 +5,4 @@ In the OpenMoko project (for example), t
 with the specially enhanced u-boot boot loader, which implements the DFU 
 device side.
 
-WWW:   http://wiki.openmoko.org/wiki/Dfu-util
+WWW: http://dfu-util.gnumonks.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"